### Method

# ECal ComponentPeriod get_end

since: 3.34

#### Declaration [src]

    ICalTime*
    e_cal_component_period_get_end (
      const ECalComponentPeriod* period
    )

#### Description [src]

Returns the end of the `period`. This can be called only on `period` objects of kind `E_CAL_COMPONENT_PERIOD_DATETIME`. The end time can be a null-time, in which case the `period` corresponds to a single date/date-time value, not to a period.

The returned `ICalTime` object is owned by `period` and should not be freed. It’s valid until the `period` is freed or its end time changed.

Available since: 3.34

#### Return value

Type: `None`

The end of the period, as an `ICalTime`.

The returned data is owned by the instance.
The return value can be `NULL`.